Package tigase.xmpp.impl.push

# Class PushPresence

java.lang.Object
tigase.xmpp.XMPPProcessor
tigase.xmpp.impl.annotation.AnnotatedXMPPProcessor
tigase.xmpp.impl.push.PushPresence

All Implemented Interfaces:
  `Comparable<XMPPImplIfc>`, `Initializable`, `UnregisterAware`, `XMPPImplIfc`, `XMPPProcessorConcurrencyAwareIfc`

@Bean(name="push-presence", parent=SessionManager.class, active=false) public class PushPresence extends AnnotatedXMPPProcessor implements Initializable, UnregisterAware

- ## Field Summary

  ### Fields inherited from class tigase.xmpp.XMPPProcessor

  `ALL_NAMES, ALL_PATHS, cmpInfo`

  ### Fields inherited from interface tigase.xmpp.XMPPImplIfc

  `CLIENT_XMLNS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PushPresence()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `beforeUnregister()`
  Method called before bean unregister.
  `void`
  `broadcastPresenceFromPushDevices(BareJID userJid, boolean hasPushDevices, Consumer<Packet> packetConsumer)`
  `EventBus`
  `getEventBus()`
  `void`
  `handleRosterModified(RosterAbstract.RosterModifiedEvent event)`
  `void`
  `initialize()`
  Method will be called, when bean will be created, configured and ready to use.
  `protected boolean`
  `isPushAvailable(BareJID userJid)`
  `void`
  `processPresenceProbe(JID recipient, JID sender, Consumer<Packet> packetConsumer)`
  `void`
  `processPresenceToOffline(JID recipient, JID sender, StanzaType stanzaType, Consumer<Packet> packetConsumer)`
  `void`
  `pushAvailabilityChanged(BareJID userJid, boolean newValue, Consumer<Packet> packetConsumer)`
  `void`
  `setEventBus(EventBus eventBus)`
  `protected void`
  `setRosterUtil(RosterAbstract rosterUtil)`

  ### Methods inherited from class tigase.xmpp.impl.annotation.AnnotatedXMPPProcessor

  `id, supDiscoFeatures, supElementNamePaths, supNamespaces, supStreamFeatures, supTypes`

  ### Methods inherited from class tigase.xmpp.XMPPProcessor

  `canHandle, compareTo, concurrentQueuesNo, getComponentInfo, getInstance, getQueueSize, getStatistics, getThreadsNo, init, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PushPresence

    public PushPresence()

- ## Method Details

  - ### initialize

    public void initialize()
    Description copied from interface: `Initializable`
    Method will be called, when bean will be created, configured and ready to use.
    Specified by:
      `initialize` in interface `Initializable`

  - ### beforeUnregister

    public void beforeUnregister()
    Description copied from interface: `UnregisterAware`
    Method called before bean unregister.
    Specified by:
      `beforeUnregister` in interface `UnregisterAware`

  - ### setRosterUtil

    protected void setRosterUtil(RosterAbstract rosterUtil)

  - ### getEventBus

    public EventBus getEventBus()

  - ### setEventBus

    public void setEventBus(EventBus eventBus)

  - ### isPushAvailable

    protected boolean isPushAvailable(BareJID userJid) throws TigaseDBException
    Throws:
      `TigaseDBException`

  - ### processPresenceToOffline

    public void processPresenceToOffline(JID recipient, JID sender, StanzaType stanzaType, Consumer<Packet> packetConsumer)

  - ### processPresenceProbe

    public void processPresenceProbe(JID recipient, JID sender, Consumer<Packet> packetConsumer)

  - ### broadcastPresenceFromPushDevices

    public void broadcastPresenceFromPushDevices(BareJID userJid, boolean hasPushDevices, Consumer<Packet> packetConsumer)

  - ### pushAvailabilityChanged

    public void pushAvailabilityChanged(BareJID userJid, boolean newValue, Consumer<Packet> packetConsumer)

  - ### handleRosterModified

    @HandleEvent public void handleRosterModified(RosterAbstract.RosterModifiedEvent event)